Public Member Functions

# BinNavi.API.disassembly.DebuggerTemplateManager Class Reference

Manages all known debugger templates. More...

List of all members.

## Public Member Functions
void | addListener (final IDebuggerTemplateManagerListener listener)
| Adds a debugger template manager listener.
DebuggerTemplate | createDebuggerTemplate (final String name, final String host, final int port) throws CouldntSaveDataException
| Creates a new debugger template.
void | deleteDebugger (final DebuggerTemplate template) throws CouldntDeleteException
| Deletes a debugger template.
DebuggerTemplate | getDebuggerTemplate (final int index)
| Returns a debugger template.
int | getDebuggerTemplateCount ()
| Returns the number of managed debugger templates.
List< DebuggerTemplate > | getDebuggerTemplates ()
| Returns all debugger templates.
void | removeListener (final IDebuggerTemplateManagerListener listener)
| Removes a debugger template manager listener.

## Detailed Description

The debugger template keeps track of predefined debugger templates. These templates can be assigned to projects and modules where they are converted into real debugger objects that can be used to debug the target processes.

## Member Function Documentation

void BinNavi.API.disassembly.DebuggerTemplateManager.addListener | ( | final IDebuggerTemplateManagerListener | listener | ) |

Adds an object that is notified about changes in the debugger template manager.

Parameters:

  | listener | The listener object that is notified about changes in the debugger template manager.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object is already listening on the debugger template manager.

DebuggerTemplate BinNavi.API.disassembly.DebuggerTemplateManager.createDebuggerTemplate | ( | final String | name,
|  | final String | host,
|  | final int | port |
| ) |  |  | throws CouldntSaveDataException

Creates a new debugger template.

Parameters:

  | name | The name of the new debugger template.
  | host | The location of the debug client used by the new template.
  | port | The port of the debug client used by the new template.

Returns:
  The created debugger template.

Exceptions:

  | CouldntSaveDataException | Thrown if the new debugger template could not be saved to the database.

void BinNavi.API.disassembly.DebuggerTemplateManager.deleteDebugger | ( | final DebuggerTemplate | template | ) | throws CouldntDeleteException

Deletes a debugger template from the database.

Parameters:

  | template | The debugger template to delete.

Exceptions:

  | CouldntDeleteException | Thrown if the debugger template could not be deleted from the database.

DebuggerTemplate BinNavi.API.disassembly.DebuggerTemplateManager.getDebuggerTemplate | ( | final int | index | ) |

Returns the debugger template with a given index.

Parameters:

  | index | The debugger template index. (0 <= index < getDebuggerTemplateCount())

Returns:
  The debugger template with the given index.

int BinNavi.API.disassembly.DebuggerTemplateManager.getDebuggerTemplateCount | ( |  | ) |

Returns the number of debugger templates managed by the manager object.

Returns:
  The number of managed debugger templates.

List<DebuggerTemplate> BinNavi.API.disassembly.DebuggerTemplateManager.getDebuggerTemplates | ( |  | ) |

Returns a list of all debugger templates managed by the manager object.

Returns:
  A list of all managed debugger templates.

void BinNavi.API.disassembly.DebuggerTemplateManager.removeListener | ( | final IDebuggerTemplateManagerListener | listener | ) |

Removes a listener object from the debugger template manager.

Parameters:

  | listener | The listener object to remove from the debugger template manager.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object was not listening on the debugger template manager.